﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MultiColumnComboTest
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<ComboItem> itemList = new List<ComboItem>() {
                new ComboItem(1, "one"),
                new ComboItem(2, "two"),
                new ComboItem("drei", "three"),
                new ComboItem(4, "four"),
                new ComboItem("fünf", "five"),
                new ComboItem(6, "six"),
                new ComboItem(7, "seven"),
                new ComboItem("acht", "eight")
            };

            xamMCCE.ItemsSource = itemList;
            SetAnExtraComboItem();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            SetAnExtraComboItem();
        }

        private void SetAnExtraComboItem()
        {
            xamMCCE.SelectedItem = new ComboItem(9, "nine");
        }
    }

    public class ComboItem
    {
        public ComboItem()
            : this(null, string.Empty)
        {
        }

        public ComboItem(object value, string labelText)
        {
            Value = value;
            LabelText = labelText;
        }

        public object Value { get; set; }
        public string LabelText { get; set; }
    }
}
